// Global user functions to manipulate with TCs from JS files
function appendValue(tc, fieldName, value) {
  var fieldValue = tc.eval.get(fieldName);

  if (fieldValue == null || fieldValue.trim().length == 0)
    tc.put(fieldName, value);
  else
    tc.put(fieldName, fieldValue + ' ' + value);

  MSG.formatInfo("Updated %s :", tc.getId());
  MSG.formatInfo("    Added \'%s\' to %s : %s", value, fieldName, tc.get(fieldName));
}

// Returns an absolute path to Current Working Directory
function CWD() {
	java.nio.file.Paths.get(".").toAbsolutePath().normalize().toString();
}

function printSomeProperties(tc) {
	MSG.formatInfo("tc.targetServicesLibrary = %s", tc.targetServicesLibrary);
	MSG.formatInfo("tc.compileCommand = %s", tc.compileCommand);
	MSG.formatInfo("tc.compileArguments = %s", tc.compileArguments);
	MSG.formatInfo("tc.buildLibraryCommand = %s", tc.buildLibraryCommand);
	MSG.formatInfo("tc.executableName = %s", tc.executableName);
	MSG.formatInfo("tc.contextSensitiveLibraryBuild = %s", tc.contextSensitiveLibraryBuild);
}
